<div id="reset-password" fxLayout="column" fusePerfectScrollbar>

    <div id="reset-password-form-wrapper" fxLayout="column" fxLayoutAlign="center center"
         *fuseIfOnDom [@animate]="{value:'*',params:{duration:'300ms',y:'100px'}}">

        <div id="reset-password-form">

            <div class="logo">
                <img src="assets/images/logos/fuse.svg">
            </div>

            <div class="title">Recuperação de senha</div>

            <form name="resetPasswordForm" [formGroup]="resetPasswordForm" novalidate>

                <!-- <mat-form-field>
                    <input matInput placeholder="Email" formControlName="email">
                    <mat-error *ngIf="resetPasswordFormErrors.email.required">
                        Email is required
                    </mat-error>
                    <mat-error *ngIf="!resetPasswordFormErrors.email.required && resetPasswordFormErrors.email.email">
                        Please enter a valid email address
                    </mat-error>
                </mat-form-field> -->

                <mat-form-field>
                    <input matInput type="password" placeholder="Password" formControlName="password">
                    <mat-error *ngIf="resetPasswordFormErrors.password.required">
                        Insira a nova senha
                    </mat-error>
                </mat-form-field>

                <mat-form-field>
                    <input matInput type="password" placeholder="Password (Confirm)" formControlName="passwordConfirm">
                    <mat-error *ngIf="resetPasswordFormErrors.passwordConfirm.required">
                        Confirme a nova senha
                    </mat-error>
                    <mat-error *ngIf="resetPasswordFormErrors.passwordConfirm.passwordsNotMatch">
                        As senhas devem ser iguais
                    </mat-error>
                </mat-form-field>

                <button mat-raised-button class="submit-button" color="accent"
                        aria-label="Salvar" [disabled]="resetPasswordForm.invalid">
                        Salvar
                </button>
            </form>

            <div class="login" fxLayout="row" fxLayoutAlign="center center">
                <a class="link" [routerLink]="'/pages/auth/login'">Go back to login</a>
            </div>

        </div>

    </div>

</div>